package com.bjtdba.merchant.dao;

import com.bjtdba.merchant.dto.PayUser;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
@Mapper
public interface OrderMerchantDao {

    Map<String, Long> belowTheLineSum(int mer_id, String start_time, String end_time);
    Integer belowTheLineNumber(int mer_id, String start_time, String end_time);

    List<PayUser> belowTheLineList(int mer_id);

    String jingdouSum(int mer_id, long start_time, long end_time);
    String gongxianSum(int mer_id,  String start_time, String end_time);

}
